# Forecast EPS

`GET` `/v1/quote/forecast-eps`

Get EPS forecasts and analyst consensus estimates.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/forecast-eps?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | No | List of EPS forecast periods |
| `└ forecast_eps_median` | string | No | Median EPS estimate |
| `└ forecast_eps_mean` | string | No | Mean EPS estimate |
| `└ forecast_eps_lowest` | string | No | Lowest EPS estimate |
| `└ forecast_eps_highest` | string | No | Highest EPS estimate |
| `└ institution_total` | integer | No | Total contributing institutions |
| `└ institution_up` | integer | No | Institutions revising up |
| `└ institution_down` | integer | No | Institutions revising down |
| `└ forecast_start_date` | string | No | Forecast period start date |
| `└ forecast_end_date` | string | No | Forecast period end date |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "forecast_end_date": "1727827200",
        "forecast_eps_highest": "3.71",
        "forecast_eps_lowest": "2.37",
        "forecast_eps_mean": "2.998",
        "forecast_eps_median": "3.02",
        "forecast_start_date": "1727827200",
        "institution_down": 0,
        "institution_total": 0,
        "institution_up": 0
      }
    ]
  }
}
```
